@import url("components.css");
@import url("pages/home.css");
@import url("pages/membrane.css");
@import url("pages/about.css");
@import url("pages/single-product.css");
@import url("pages/proven-process.css");
@import url("pages/contact.css");
@import url("pages/blog.css");

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-ExtraLight.ttf") format("truetype");
  font-weight: 200;
  font-style: normal;
}

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Manrope";
  src: url("../fonts/Manrope-ExtraBold.ttf") format("truetype");
  font-weight: 800;
  font-style: normal;
}

:root {
  --primary: #2f5d71;
  --primary-dark: #0e3a4d;
  --text: #6d6e71;
  --dark: #404040;
  --secondary: #ffd51d;
  --light: #fff;
  --light-linear: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.25) 0%,
    rgba(255, 255, 255, 0.5) 100%
  );

  --font-family:
    "Manrope", -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
}

* {
  padding: 0;
  list-style: none;
  text-decoration: none;
  box-sizing: border-box;
  font-family: var(--font-family);
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden !important;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: var(--primary);
  border-radius: 6px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--primary-dark);
}

img {
  display: block;
  max-width: 100%;
  height: auto;
  object-fit: contain;
  object-position: center;
}

p {
  font-size: 16px;
  line-height: 1.5;
}

h1 {
  color: var(--light);
  font-size: 42px;
  font-weight: 700;
  line-height: 125%;
  letter-spacing: -0.84px;
}

form {
  display: grid;
  gap: 13px;
}
input {
  display: block;
  width: 100%;
  border-radius: 4px;
  border: 1px solid rgba(109, 110, 113, 0.25);
  padding: 12px 18px !important;
  font-size: 14px;
  min-height: 52px;
  outline-color: var(--primary);
}
